# Copyright 1999-2003 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
# $Header: $

inherit games eutils

MY_PN="tt"
MY_PV="${PV//./_}"

DESCRIPTION="Speed! More speed! Speeding ship sailing through barrage, 'Torus Trooper'"
HOMEPAGE="http://www.asahi-net.or.jp/~cs8k-cyu/windows/tt_e.html"
SRC_URI="http://www.asahi-net.or.jp/~cs8k-cyu/windows/${MY_PN}${MY_PV}.zip"

LICENSE="BSD"
SLOT="0"
KEYWORDS="x86"

DEPEND="dev-lang/dmd-bin
	media-libs/sdl-d
	media-libs/opengl-d
	dev-libs/libbulletml-d"

S="${WORKDIR}/${MY_PN}"

src_unpack(){
	unpack ${A}
	epatch ${FILESDIR}/${P}-gentoo.patch
}

src_compile() {
	emake || die
}

src_install() {
	dogamesbin ${PN}

	local datadir=${GAMES_DATADIR}/${PN}
	dodir ${datadir}
	cp -r barrage images sounds ${D}/${datadir}

	if [ ! -e ${GAMES_STATEDIR}/${PN}.prf ]
	then
		dodir ${GAMES_STATEDIR}
		touch ${D}/${GAMES_STATEDIR}/${PN}.prf
	fi

	dodoc readme*
	prepgamesdirs
}

pkg_postinst() {
	chmod ug+rw ${GAMES_STATEDIR}/${PN}.prf
}
